<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->

<template>
  <div class="search">
    <el-row>
      <el-form
        :model="formData"
        ref="formData"
        label-width="120px"
      >
        <el-col
          :span="8"
        >
          <el-form-item
            :label="$t('user.username')"
            prop="username"
          >
            <el-input
              id="name"
              v-model="formData.username"
              :placeholder="$t('user.username')"
            />
          </el-form-item>
        </el-col>
        <el-col
          :span="8"
        >
          <el-form-item
            :label="$t('user.role')"
            prop="role"
          >
            <el-select
              id="role"
              v-model="formData.role"
              :placeholder="$t('user.role')"
            >
              <el-option
                v-for="item in roles"
                :label="item.label"
                :value="item.value"
                :key="item.label"
              />
            </el-select>
          </el-form-item>
        </el-col>
        <el-col :span="8">
          <div
            class="flex"
            style="justify-content: center; align-items: center;"
          >
            <el-button
              id="searchBtn"
              type="primary"
              @click="search"
            >
              {{ $t('common.search') }}
            </el-button>
            <el-button
              id="resetBtn"
              @click="resetForm('formData')"
            >
              {{ $t('common.reset') }}
            </el-button>
          </div>
        </el-col>
        <div class="clearfix" />
      </el-form>
    </el-row>
  </div>
</template>

<script>
import { ROLES } from '../tools/constant.js'
export default {
  props: {
  },
  data () {
    return {
      roles: ROLES,
      formData: {
        username: '',
        role: 'ALL'
      }
    }
  },
  methods: {
    search () {
      this.$emit('getSearchData', this.formData)
    },
    resetForm (formName) {
      this.$refs[formName].resetFields()
      this.$emit('getSearchData', this.formData)
    }
  },
  mounted () {}
}
</script>
<style lang='less' scoped>
.search{
  .el-select{
    width:100%;
  }
}
</style>
